Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Interface IReadOnlyDependent

All Known Implementing Classes:
  ShiftAction

    public interface IReadOnlyDependent

Extension interface for actions. Actions implementing this interface not only manage an enable/disable state but also manage a "hypothetical" enable state, depending on whether the target they work on is writable or read-only.

Since:
  2.0

Method Summary
`boolean` `isEnabled(boolean isWritable)` Returns whether the actions would be enabled if its target would be enabled given the writable state described by `isWritable`.

Method Detail

### isEnabled

    boolean isEnabled(boolean isWritable)

  Returns whether the actions would be enabled if its target would be enabled given the writable state described by `isWritable`. `isEnabled()` and `isEnabled(boolean)` holds the following invariants: isEnabled() == false, if isEnabled(true) == false || isEnabled(false) == false isEnabled() == true, if isEnabled(true) == true || isEnabled(false) == true

  Parameters:
    `isWritable` - the writable state
  Returns:
    the hypothetical enable state of the action

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.